All the mail mirrored from lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH 4/4] gedit: add `gnome-doc-utils-native` to `DEPENDS`
@ 2010-10-11 23:23 Paul Menzel
  0 siblings, 0 replies; only message in thread
From: Paul Menzel @ 2010-10-11 23:23 UTC (permalink / raw
  To: openembedded-devel

[-- Attachment #1: Type: text/plain, Size: 4997 bytes --]

From: Andreas Mueller <schnitzeltony@gmx.de>
Date: Mon, 11 Oct 2010 22:01:58 +0200

Otherwise task `do_compile` fails with the following error. `xml2po` is provided by `gnome-doc-utils-native`.

        | xsltproc -o gedit-C.omf --stringparam db2omf.basename gedit --stringparam db2omf.format 'docbook' --stringparam db2omf.dtd "-//OASIS//DTD DocBook XML V4.1.2//EN" --stringparam db2omf.lang C --stringparam db2omf.omf_dir "/usr/share/omf" --stringparam db2omf.help_dir "/usr/share/gnome/help" --stringparam db2omf.omf_in "/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/gedit.omf.in"  `/oe/build-minimal-eglibc/minimal-dev/sysroots/i686-linux/usr/bin/pkg-config --variable db2omf gnome-doc-utils` C/gedit.xml || { rm -f "gedit-C.omf"; exit 1; }
        | if ! test -d ar/; then mkdir ar/; fi
        | if ! test -d bg/; then mkdir bg/; fi
        | if ! test -d ca/; then mkdir ca/; fi
        | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \
        |       mo="ar/ar.mo"; \
        |       if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \
        |       (cd ar/ && \
        |         `which xml2po` -m docbook -e -t "${mo}" \
        |           "${d}C/gedit.xml" > gedit.xml.tmp && \
        |           cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp)
        | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \
        |       mo="ca/ca.mo"; \
        |       if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \
        |       (cd ca/ && \
        |         `which xml2po` -m docbook -e -t "${mo}" \
        |           "${d}C/gedit.xml" > gedit.xml.tmp && \
        |           cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp)
        | if [ -f "C/gedit.xml" ]; then d="../"; else d="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/"; fi; \
        |       mo="bg/bg.mo"; \
        |       if [ -f "${mo}" ]; then mo="../${mo}"; else mo="/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help/${mo}"; fi; \
        |       (cd bg/ && \
        |         `which xml2po` -m docbook -e -t "${mo}" \
        |           "${d}C/gedit.xml" > gedit.xml.tmp && \
        |           cp gedit.xml.tmp gedit.xml && rm -f gedit.xml.tmp)
        | /bin/sh: line 4: -m: command not found
        | /bin/sh: line 4: -m: command not found
        | make[2]: *** [ar/gedit.xml] Error 127
        | make[2]: *** Waiting for unfinished jobs....
        | make[2]: *** [ca/gedit.xml] Error 127
        | /bin/sh: line 4: -m: command not found
        | make[2]: *** [bg/gedit.xml] Error 127
        | compilation error: file C/gedit.xml line 19 element article
        | xsltParseStylesheetProcess : document is not a stylesheet
        | make[2]: *** [gedit-C.omf] Error 1
        | make[2]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0/help'
        | make[1]: *** [all-recursive] Error 1
        | make[1]: Leaving directory `/oe/build-minimal-eglibc/minimal-dev/work/armv7a-oe-linux-gnueabi/gedit-2.30.0-r2/gedit-2.30.0'
        | make: *** [all] Error 2
        | FATAL: oe_runmake failed
        | ERROR: Function do_compile failed
        NOTE: package gedit-2.30.0-r2: task do_compile: Failed
        ERROR: TaskFailed event exception, aborting
        ERROR: Build of /oe/openembedded/recipes/gnome/gedit_2.30.0.bb do_compile failed
        ERROR: Task 12 (/oe/openembedded/recipes/gnome/gedit_2.30.0.bb, do_compile) failed with 256
        ERROR: '/oe/openembedded/recipes/gnome/gedit_2.30.0.bb' failed
        ERROR: '/oe/openembedded/recipes/gnome/gedit_2.30.0.bb' failed

Build tested with `minimal-eglibc` for `MACHINE = "beagleboard"`.

Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de>
Acked-by: Paul Menzel <paulepanter@users.sourceforge.net>
---
 recipes/gnome/gedit_2.30.0.bb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/recipes/gnome/gedit_2.30.0.bb b/recipes/gnome/gedit_2.30.0.bb
index c00a05f..1d0ce78 100644
--- a/recipes/gnome/gedit_2.30.0.bb
+++ b/recipes/gnome/gedit_2.30.0.bb
@@ -2,7 +2,7 @@ DESCRIPTION = "GNOME editor"
 SECTION = "x11/gnome"
 LICENSE = "GPLv2"
 
-DEPENDS = "enchant gconf gnome-common glib-2.0 gtk+ gtksourceview2 iso-codes"
+DEPENDS = "enchant gconf gnome-common gnome-doc-utils-native glib-2.0 gtk+ gtksourceview2 iso-codes"
 RDEPENDS_${PN} += " gtksourceview2"
 PR = "r2"
 
-- 
1.7.1


[-- Attachment #2: This is a digitally signed message part --]
[-- Type: application/pgp-signature, Size: 205 bytes --]

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2010-10-11 23:23 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-10-11 23:23 [PATCH 4/4] gedit: add `gnome-doc-utils-native` to `DEPENDS` Paul Menzel

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.